#########
# Author:        Marina Gourtovaia
# Maintainer:    $Author: ajb $
# Created:       14 May 2010
# Last Modified: $Date: 2011-07-21 16:26:34 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: MockCatalystContext.pm 13725 2011-07-21 15:26:34Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-37.0/t/lib/MockCatalystContext.pm $

package MockCatalystContext;

use Moose;
use Carp;
use English qw(-no_match_vars);
use namespace::autoclean;
use Catalyst::Request;
use Catalyst::Response;

has 'response' =>  (isa      => 'Catalyst::Response',
                    is       => 'ro',
                    required => 0,
		    default => sub {Catalyst::Response->new()},
                   );

has 'request' =>   (isa      => 'Catalyst::Request',
                    is       => 'ro',
                    required => 0,
		    default => sub {Catalyst::Request->new()},
                   );
1;
